import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class PikaProtocolContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    pikaProtocolVault({ address, network }: ContractOpts): import("./ethers").PikaProtocolVault;
    pikaProtocolVaultReward({ address, network }: ContractOpts): import("./ethers").PikaProtocolVaultReward;
}
export type { PikaProtocolVault } from './ethers';
export type { PikaProtocolVaultReward } from './ethers';
